---
title: "RecordingInfo"
---
<!-- DO NOT EDIT! This file was auto-generated by crates/build/re_types_builder/src/codegen/docs/website.rs -->

A list of properties associated with a recording.

## Fields
### Optional
* `start_time`: [`Timestamp`](../components/timestamp.md)
* `name`: [`Name`](../components/name.md)


## Can be shown in
* [DataframeView](../views/dataframe_view.md)

## API reference links
 * 🌊 [C++ API docs for `RecordingInfo`](https://ref.rerun.io/docs/cpp/stable/structrerun_1_1archetypes_1_1RecordingInfo.html)
 * 🐍 [Python API docs for `RecordingInfo`](https://ref.rerun.io/docs/python/stable/common/archetypes#rerun.archetypes.RecordingInfo)
 * 🦀 [Rust API docs for `RecordingInfo`](https://docs.rs/rerun/latest/rerun/archetypes/struct.RecordingInfo.html)

## Example

### Setting recording properties

snippet: concepts/recording_properties

